Bug 51915 - unable to ifup lo and/or eth0
Summary: unable to ifup lo and/or eth0
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-16 19:49 UTC by Joshua J. Drake
Modified: 2014-03-17 02:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-20 04:05:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel configuration file for custom kernel (17.79 KB, text/plain)
2001-08-16 19:53 UTC, Joshua J. Drake
no flags Details

Description Joshua J. Drake 2001-08-16 19:49:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
When booting I am unable to get lo and eth0 up.  The lo interface shows up 
but the system does not setup a route for it.  

I am using a custom kernel so this may be the problem.

I added some Networking options to the custom kernel and it changed the 
behavior.  Now lo works fine but I am unable to get an IP on eth0 using 
pump.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1a. boot machine w/o netlink socket in the kernel

OR 

1b. boot machine w/netlink socket in the kernel
	

Actual Results:  In 1a lo came up w/o a route and eth0 came up fine.  
In 1b lo came up fine and eth0 cannot get IP using pump.

Expected Results:  Both interfaces should have came up fine.

Additional info:

Like I said, I am using a custom kernel.  Its version 2.4.8 and it is 
tuned to my hardware..

Comment 1 Bill Nottingham 2001-08-16 19:52:49 UTC
You need to enable CONFIG_NETLINK and CONFIG_RTNETLINK.

Comment 2 Joshua J. Drake 2001-08-16 19:53:10 UTC
Created attachment 28193 [details]
kernel configuration file for custom kernel

Comment 3 Joshua J. Drake 2001-08-20 04:05:10 UTC
I have enabled both and pump still fails to get an IP.  When attempting to do so
it says "Operation failed."


Comment 4 Bill Nottingham 2001-08-20 04:28:52 UTC
Oh, that's a different issue. That will be fixed in initscripts-6.21-1; in the
meantime, use dhcpcd.


Note You need to log in before you can comment on or make changes to this bug.